Bio::DB::GFF::Aggregator::coding(3)

NAME
Bio::DB::GFF::Aggregator::coding -- The Coding Region Aggregator

SYNOPSIS
  use Bio::DB::GFF;

  # Open the sequence database
  my $db      = Bio::DB::GFF->new( -adaptor => 'dbi:mysql',
                                   -dsn     => 'dbi:mysql:elegans42',
                                   -aggregator => ['coding'],
                                 );

 ------------------------------------------------------------------------
 Aggregator method: coding
 Main method:       mRNA
 Sub methods:       CDS
 ------------------------------------------------------------------------

DESCRIPTION
Bio::DB::GFF::Aggregator::coding aggregates "CDS" features into a feature called "coding" and was written to be compatible with the Sequence Ontology canonical gene. The CDS features are expected to belong to a parent of type "mRNA," but the aggregator will work even if this isn't the case.

  method
 Title   : method
 Usage   : $aggregator->method
 Function: return the method for the composite object
 Returns : the string "coding"
 Args    : none
 Status  : Public

  part_names
 Title   : part_names
 Usage   : $aggregator->part_names
 Function: return the methods for the sub-parts
 Returns : the list (CDS cds)
 Args    : none
 Status  : Public

  main_name
 Title   : main_name
 Usage   : $aggregator->main_name
 Function: return the method for the main component
 Returns : the string "mRNA"
 Args    : none
 Status  : Public

BUGS
None reported.

SEE ALSO
Bio::DB::GFF, Bio::DB::GFF::Aggregator

AUTHOR
Lincoln Stein <lstein@cshl.org>.

Copyright (c) 2001 Cold Spring Harbor Laboratory.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.